Security Only Update for .NET Framework 3.5, 4.5.2, 4.6, 4.6.1, 4.6.2, 4.7, 4.7.1, 4.7.2, 4.8 for Windows 8.1 and Server 2012 R2 (KB4498963)

2019-05-12T22:06:52
ID KB4498963
Type mskb
Reporter Microsoft
Modified 2019-05-14T17:16:33

Description

<html><body><h2></h2><div class="alert-band"> <div class="alert alert-info" role="alert"> <p class="alert-title">Applies to:</p> <div class="row"> <div class="col-xs-24"> <p>Microsoft .NET Framework 3.5 Microsoft .NET Framework 4.5.2 Microsoft .NET Framework 4.6 Microsoft .NET Framework 4.6.1 Microsoft .NET Framework 4.6.2 Microsoft .NET Framework 4.7 Microsoft .NET Framework 4.7.1 Microsoft .NET Framework 4.7.2 Microsoft .NET Framework 4.8 </p> </div> </div> </div> </div><h2>Summary</h2><p>Denial of service vulnerabilities exist when .NET Framework improperly handles objects in heap memory, or when .NET Framework and .NET Core improperly process RegEx strings.<br/><br/>To learn more about the vulnerabilities, go to the following Common Vulnerabilities and Exposures (CVE).</p><ul class="sbody-free_list"><li><a href="https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2019-0820" id="kb-link-2" target="_self">CVE-2019-0820</a></li><li><a href="https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2019-0980" id="kb-link-2" target="_self">CVE-2019-0980</a></li><li><a href="https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2019-0981" id="kb-link-2" target="_self">CVE-2019-0981</a></li><li><a href="https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2019-0864" id="kb-link-2" target="_self">CVE-2019-0864</a></li></ul><p><strong><span class="text-base">Important</span> </strong></p><ul><li>All updates for Windows 8.1, Windows RT 8.1, and Windows Server 2012 R2 require that update KB 2919355 is installed. We recommend that you install update KB 2919355 on your Windows 8.1-based, Windows RT 8.1-based, or Windows Server 2012 R2-based computer so that you receive updates in the future.</li><li>If you install a language pack after you install this update, you must reinstall this update. Therefore, we recommend that you install any language packs that you need before you install this update. For more information, see <a bookmark-id="" data-content-id="" data-content-type="" href="https://technet.microsoft.com/en-us/library/hh825699" managed-link="" target="_blank">Add language packs to Windows</a>.</li></ul><h2>Additional information about this update</h2><div><span>The following articles contain additional information about this update as it relates to individual product versions.</span></div><div> </div><ul><li><a href="https://support.microsoft.com/help/4495615" managed-link="">4495615</a> Description of the Security Only Update for .NET Framework 3.5 for Windows 8.1 and Server 2012 R2 (KB4495615)</li><li><span> <a href="https://support.microsoft.com/help/4495589" managed-link="">4495589</a> Description of the Security Only Update for .NET Framework 4.5.2 for Windows 8.1 and Server 2012 R2 (KB4495589)</span></li><li><span> <a href="https://support.microsoft.com/help/4495586" managed-link="">4495586</a> Description of the Security Only Update for .NET Framework 4.6, 4.6.1, 4.6.2, 4.7, 4.7.1, 4.7.2 for Windows 8.1 and Server 2012 R2 (KB4495586)</span></li><li><span> <a href="https://support.microsoft.com/help/4495625" managed-link="">4495625</a> Description of the Security Only Update for .NET Framework 4.8 for Windows 8.1 and Server 2012 R2 (KB4495625)</span></li></ul><h2>Information about protection and security</h2><ul> <li> Protect yourself online: <a href="https://support.microsoft.com/hub/4099151/windows-security-help" originalsrc="https://support.microsoft.com/hub/4099151/windows-security-help" shash="RYy3LeXx+rmimVtQWgsOp2FdFIqw7JA//Q/gQk82okgjOsd4xXdoK0JeBzlEcm0ODcghLacwCQ7rq/te5MIy9rhRyjOI5z+tQLQ58N0ohXStVASL9xwW0nm7tWELhl8Vd+jYkRf314nXnEXaofpGgPwiR8IWSM1V+w57ooqQzME=" target="_blank">Windows Security support</a></li> <li> Learn how we guard against cyber threats: <a href="https://www.microsoft.com/security" originalsrc="https://www.microsoft.com/security" shash="Fb+Q8jcsMznGoXBaEpy7ItSNVM/ojkQHBsLDm3A6U1j8nU/EzgwX89Ox/pQeEuCbTUAIMz1KtFkOsv9oQSp0WSip1uNUHotfXevDx7dDk5kFn4u/io4q1ESXpDplQ989sCEmxdzRlhaLF3PHKXMoLlTmwS5dmeU5gGxfXDhL40w=">Microsoft Security</a></li> </ul></body></html>